memparse
Prev | Command-line Parsing | Next

## Name

memparse — parse a string with mem suffixes into a number

## Synopsis

`unsigned long long memparse (` | char * | ptr,
| char ** | retptr`)`;

## Arguments

`ptr`

  Where parse begins

`retptr`

  (output) Pointer to next char after parse completes

## Description

Parses a string into a number. The number stored at `ptr` is potentially suffixed with `K` (for kilobytes, or 1024 bytes), `M` (for megabytes, or 1048576 bytes), or `G` (for gigabytes, or 1073741824). If the number is suffixed with K, M, or G, then the return value is the number multiplied by one kilobyte, one megabyte, or one gigabyte, respectively.

Prev | Up | Next
get_options | Home | CRC Functions